# Usage summary

## Get Usage Summary

> Gets usage summary of all sessions for your account, including number of sessions and session durations.

```json
{"openapi":"3.0.3","info":{"title":"Appetize API","version":"1.0.0"},"servers":[{"url":"https://api.appetize.io/v1"}],"security":[{"apiToken":[]}],"components":{"securitySchemes":{"apiToken":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Use an API token for authentication via X-API-KEY header"}}},"paths":{"/usageSummary":{"get":{"summary":"Get Usage Summary","tags":["Usage Summary"],"description":"Gets usage summary of all sessions for your account, including number of sessions and session durations.","parameters":[{"in":"query","name":"nextKey","schema":{"type":"string"},"description":"If results are truncated, response will include `hasMore:true` and a `nextKey` to retrieve the next page. \nPass the nextKey value as query parameter into the GET request to retrieve the next batch of results.\n"},{"in":"query","name":"startMonth","schema":{"type":"string","format":"date"},"description":"Specify a starting month for the usages summary e.g. '2023-07' will start the usage summary from July 2023."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"hasMore":{"type":"boolean","description":"Indicates if results have been truncated"},"nextKey":{"type":"string","description":"Query parameter for the next batch of results"},"data":{"type":"array","items":{"type":"object","properties":{"month":{"type":"string","format":"date","description":"The month of the session data"},"publicKey":{"type":"string","description":"The unique identifier for the app."},"numSessions":{"type":"integer","description":"The number of sessions for the month"},"minutes":{"type":"number","description":"The total minutes of all sessions for the month"}}}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appetize.io/rest-api/usage-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
